;  ############################################
;  #    MoonPhase - include file                                               
;  ############################################
[Metadata]
Author=Mordasius
Name=MoonPhase
Version=26022013
Information= Shows the current phase of the moon
License=Creative Commons BY-NC-SA 3.0

[mGetMoonData]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=#UrlMoon#
RegExp="(?siU)<elongationToSun>(.*?)</elongationToSun>.*<percentIlluminated>(.*)</percentIlluminated>\s*<age>(.*?)</age>\s*<phase>(.*)</phase>\s*<length>(.*?)</length>\s*<nextPhase>\s*<phase>(.*?)</phase>\s*<year>(.*?)</year>\s*<month>(.*?)</month>\s*<day>(.*?)</day>\s*<hour>(.*?)</hour>\s*<minute>(.*?)</minute>.*<daysToPhase>(.*?)</daysToPhase>\s*</nextPhase>\s*</moon>.*"
StringIndex=1
FinishAction=[!UpdateMeasureGroup MoonData] [!EnableMeasure mLuaScript] 
UpdateRate=(#Multiplier#*14000)

[mIllum]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[mGetMoonData]
StringIndex=2
UpdateDivider=-1
Group=MoonData

[mTextPhase]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[mGetMoonData]
StringIndex=4
UpdateDivider=-1
Group=MoonData

[mNextPhase]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[mGetMoonData]
StringIndex=6
UpdateDivider=-1
Group=MoonData

[mNextMonth]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[mGetMoonData]
Substitute="01":"January","02":"February","03":"March","04":"April","05":"May","06":"June","07":"July","08":"August","09":"September","10":"October","11":"November","12":"December"
StringIndex=8
UpdateDivider=-1
Group=MoonData

[mNextDay]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[mGetMoonData]
StringIndex=9
UpdateDivider=-1
Group=MoonData

[mDaysTo]
Measure=Plugin
Plugin=Plugins\WebParser.dll
Url=[mGetMoonData]
StringIndex=12
Substitute="":"2"
UpdateDivider=-1
Group=MoonData

[mMoonShade]
Measure=Calc
Formula=(ROUND((mGetMoonData-2)/4)*4)+2
UpdateDivider=(#LongMultiplier#)
